GIT-WRITE-TREE(1)

NAME
git-write-tree - Create a tree object from the current index

SYNOPSIS

git write-tree [--missing-ok] [--prefix=<prefix>/]

DESCRIPTION

Creates a tree object using the current index.

The index must be in a fully merged state.

Conceptually, git-write-tree sync()s the current index contents into a set of tree files. In order to have that match what is actually in your directory right now, you need to have done a git-update-index phase before you did the git-write-tree.

OPTIONS

--missing-ok
    Normally git-write-tree ensures that the objects referenced by the directory exist in the object database. This option disables this check.

--prefix=<prefix>/
    Writes a tree object that represents a subdirectory <prefix>. This can be used to write the tree object for a subproject that is in the named subdirectory.

AUTHOR

Written by Linus Torvalds <torvalds@osdl.org[1]>

DOCUMENTATION

Documentation by David Greaves, Junio C Hamano and the git-list <git@vger.kernel.org[2]>.

GIT

Part of the git(1) suite

NOTES

1.  torvalds@osdl.org
    mailto:torvalds@osdl.org

2.  git@vger.kernel.org
    mailto:git@vger.kernel.org